<?php
require_once 'core/system.php';
echo only_reg();
$id = abs(intval($_GET['id']));
$id = mysql_fetch_assoc(mysql_query("SELECT * FROM `user` where `id` = '".$id."' limit 1"));
$id2 = mysql_fetch_assoc(mysql_query("SELECT * FROM `anketa` where `id_us` = '".$id['id']."' limit 1"));
if(empty($id['id'])){
header('location:/'); exit;
}
if(empty($id2['id_us'])){
mysql_query("INSERT INTO `anketa` set `id_us` = '".$id['id']."'");
header('location:/anketa.php?id='.$id['id']); exit;
}
$header = 'Анкета '.$id['nick'];
require_once 'core/head.php';
if(empty($id2['name']) && empty($id2['osebe'])){
echo'<div class="player">'.($id['id'] == $user['id']?'Ваша анкета':'Анкета <b>'.$id['nick'].'</b>').' не заполнена!</div>';
}
if($user['id'] == $id['id']){
if(isset($_GET['red'])){
if($_GET['red'] == 'ok'){
mysql_query("UPDATE `anketa` set `name` = '".check($_POST['name'])."', `city` = '".check($_POST['city'])."', `data` = '".check($_POST['date'])."', `osebe` = '".check($_POST['osebe'])."', `interes` = '".check($_POST['interes'])."' where `id_us` = '".$user['id']."'");
echo'<div class="player">Данные успешно сохранены! Обновите страницу!</div>';
}
echo'<div class="player"><form action="?id='.$id['id'].'&red=ok" method="post">
Имя: <input type="text" name="name" value="'.$id2['name'].'"/><br/>
Город: <input type="text" name="city" value="'.$id2['city'].'"/><br/>
Дата рождения: <input type="text" name="date" value="'.$id2['date'].'"/><br/>
Интересы:<br/><textarea name="interes"/>'.$id2['interes'].'</textarea><br/>
О себе:<br/>
<textarea name="osebe">'.$id2['osebe'].'</textarea><br/>

<input type="submit" class="label" value="Редактировать"/></form></div>';
}
echo'<div class="player"><a href="?id='.$id['id'].'&red">Редактировать</a></div>';
}
echo'<div class="player">';
if(!empty($id2['name'])){
echo'Имя: '.$id2['name'].'<br/>';
}if(!empty($id2['city'])){
echo'Город: '.$id2['city'].'<br/>';
}if(!empty($id2['data'])){
echo'Дата рождения: '.$id2['data'].'<br/>';
if(!empty($id2['interes'])){
echo'Интересы: '.$id2['interes'].'<br/>';
}if(!empty($id2['osebe'])){
echo'О себе: '.$id2['osebe'].'<br/>';
}
}
echo'</div>';
include_once 'core/foot.php';
?>
</div>
</body>
</html>